"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const anser_1 = __importDefault(require("anser"));
const highlightjs_1 = __importDefault(require("highlightjs"));
const nodom_1 = require("nodom");
const elementCreator_1 = __importDefault(require("./elementCreator"));
const markdownRenderer_1 = __importDefault(require("./markdownRenderer"));
const renderer_1 = __importDefault(require("./renderer"));
function ansiCodesRenderer(input) {
    return anser_1.default.ansiToHtml(anser_1.default.escapeForHtml(input));
}
function codeHighlighter(code, lang) {
    return highlightjs_1.default.getLanguage(lang)
        ? highlightjs_1.default.highlight(lang, code).value
        : code;
}
exports.default = (opts = {}) => {
    const doc = new nodom_1.Document();
    const elementCreator = elementCreator_1.default(doc.createElement.bind(doc), opts.classPrefix);
    const markdownRenderer = markdownRenderer_1.default(opts.markedOpts, opts.katexOpts);
    return renderer_1.default({
        ansiCodesRenderer,
        codeHighlighter,
        elementCreator,
        markdownRenderer,
        ...opts,
    });
};
//# sourceMappingURL=index.js.map